NFS Personal Default Value Config¶
Get¶
HTTP Request
GET /api/v1/personal-default-values-config/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "level": "APPLICATION",
17 "control": "LOCKED",
18 "status": "ENABLED",
19 "defaultFieldInfo": {
20 "id": 0,
21 "label": "string",
22 "value": "string"
23 },
24 "field": "FOS_ERP_SYSTEM",
25 "conditions": [
26 {
27 "id": 0,
28 "conditionValueInfo": [
29 {
30 "id": 0,
31 "label": "string",
32 "value": "string"
33 }
34 ],
35 "field": "FOS_ERP_SYSTEM"
36 }
37 ],
38 "overrideBy": {}
39 }
40}
Update¶
HTTP Request
PUT /api/v1/personal-default-values-config/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "level": "APPLICATION",
4 "control": "LOCKED",
5 "status": "ENABLED",
6 "defaultFieldInfo": {
7 "id": 0,
8 "label": "string",
9 "value": "string"
10 },
11 "field": "FOS_ERP_SYSTEM",
12 "conditions": [
13 {
14 "id": 0,
15 "conditionValueInfo": [
16 {
17 "id": 0,
18 "label": "string",
19 "value": "string"
20 }
21 ],
22 "field": "FOS_ERP_SYSTEM"
23 }
24 ],
25 "overrideBy": {
26 "id": 0,
27 "level": "APPLICATION",
28 "control": "LOCKED",
29 "status": "ENABLED",
30 "defaultFieldInfo": {
31 "id": 0,
32 "label": "string",
33 "value": "string"
34 },
35 "field": "FOS_ERP_SYSTEM",
36 "conditions": [
37 {
38 "id": 0,
39 "conditionValueInfo": [
40 {
41 "id": 0,
42 "label": "string",
43 "value": "string"
44 }
45 ],
46 "field": "FOS_ERP_SYSTEM"
47 }
48 ],
49 "overrideBy": {}
50 }
51}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "level": "APPLICATION",
17 "control": "LOCKED",
18 "status": "ENABLED",
19 "defaultFieldInfo": {
20 "id": 0,
21 "label": "string",
22 "value": "string"
23 },
24 "field": "FOS_ERP_SYSTEM",
25 "conditions": [
26 {
27 "id": 0,
28 "conditionValueInfo": [
29 {
30 "id": 0,
31 "label": "string",
32 "value": "string"
33 }
34 ],
35 "field": "FOS_ERP_SYSTEM"
36 }
37 ],
38 "overrideBy": {}
39 }
40}
Delete¶
HTTP Request
DELETE /api/v1/personal-default-values-config/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Patch¶
HTTP Request
PATCH /api/v1/personal-default-values-config/{id}
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
body |
|
body |
Body Parameters
1{
2 "op": "replace",
3 "path": "/name",
4 "value": "patched contract"
5}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "level": "APPLICATION",
17 "control": "LOCKED",
18 "status": "ENABLED",
19 "defaultFieldInfo": {
20 "id": 0,
21 "label": "string",
22 "value": "string"
23 },
24 "field": "FOS_ERP_SYSTEM",
25 "conditions": [
26 {
27 "id": 0,
28 "conditionValueInfo": [
29 {
30 "id": 0,
31 "label": "string",
32 "value": "string"
33 }
34 ],
35 "field": "FOS_ERP_SYSTEM"
36 }
37 ],
38 "overrideBy": {}
39 }
40}
Create Or Update Bulk¶
HTTP Request
PUT /api/v1/personal-default-values-config/createOrUpdate/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "level": "APPLICATION",
5 "control": "LOCKED",
6 "status": "ENABLED",
7 "defaultFieldInfo": {
8 "id": 0,
9 "label": "string",
10 "value": "string"
11 },
12 "field": "FOS_ERP_SYSTEM",
13 "conditions": [
14 {
15 "id": 0,
16 "conditionValueInfo": [
17 {
18 "id": 0,
19 "label": "string",
20 "value": "string"
21 }
22 ],
23 "field": "FOS_ERP_SYSTEM"
24 }
25 ],
26 "overrideBy": {}
27 }
28]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "level": "APPLICATION",
18 "control": "LOCKED",
19 "status": "ENABLED",
20 "defaultFieldInfo": {
21 "id": 0,
22 "label": "string",
23 "value": "string"
24 },
25 "field": "FOS_ERP_SYSTEM",
26 "conditions": [
27 {
28 "id": 0,
29 "conditionValueInfo": [
30 {
31 "id": 0,
32 "label": "string",
33 "value": "string"
34 }
35 ],
36 "field": "FOS_ERP_SYSTEM"
37 }
38 ],
39 "overrideBy": {}
40 }
41 ]
42}
Create Or Update¶
HTTP Request
PUT /api/v1/personal-default-values-config/createOrUpdate
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "level": "APPLICATION",
4 "control": "LOCKED",
5 "status": "ENABLED",
6 "defaultFieldInfo": {
7 "id": 0,
8 "label": "string",
9 "value": "string"
10 },
11 "field": "FOS_ERP_SYSTEM",
12 "conditions": [
13 {
14 "id": 0,
15 "conditionValueInfo": [
16 {
17 "id": 0,
18 "label": "string",
19 "value": "string"
20 }
21 ],
22 "field": "FOS_ERP_SYSTEM"
23 }
24 ],
25 "overrideBy": {
26 "id": 0,
27 "level": "APPLICATION",
28 "control": "LOCKED",
29 "status": "ENABLED",
30 "defaultFieldInfo": {
31 "id": 0,
32 "label": "string",
33 "value": "string"
34 },
35 "field": "FOS_ERP_SYSTEM",
36 "conditions": [
37 {
38 "id": 0,
39 "conditionValueInfo": [
40 {
41 "id": 0,
42 "label": "string",
43 "value": "string"
44 }
45 ],
46 "field": "FOS_ERP_SYSTEM"
47 }
48 ],
49 "overrideBy": {}
50 }
51}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "level": "APPLICATION",
17 "control": "LOCKED",
18 "status": "ENABLED",
19 "defaultFieldInfo": {
20 "id": 0,
21 "label": "string",
22 "value": "string"
23 },
24 "field": "FOS_ERP_SYSTEM",
25 "conditions": [
26 {
27 "id": 0,
28 "conditionValueInfo": [
29 {
30 "id": 0,
31 "label": "string",
32 "value": "string"
33 }
34 ],
35 "field": "FOS_ERP_SYSTEM"
36 }
37 ],
38 "overrideBy": {}
39 }
40}
Bulk Update¶
HTTP Request
PUT /api/v1/personal-default-values-config/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1[
2 {
3 "id": 0,
4 "level": "APPLICATION",
5 "control": "LOCKED",
6 "status": "ENABLED",
7 "defaultFieldInfo": {
8 "id": 0,
9 "label": "string",
10 "value": "string"
11 },
12 "field": "FOS_ERP_SYSTEM",
13 "conditions": [
14 {
15 "id": 0,
16 "conditionValueInfo": [
17 {
18 "id": 0,
19 "label": "string",
20 "value": "string"
21 }
22 ],
23 "field": "FOS_ERP_SYSTEM"
24 }
25 ],
26 "overrideBy": {}
27 }
28]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "id": 0,
17 "level": "APPLICATION",
18 "control": "LOCKED",
19 "status": "ENABLED",
20 "defaultFieldInfo": {
21 "id": 0,
22 "label": "string",
23 "value": "string"
24 },
25 "field": "FOS_ERP_SYSTEM",
26 "conditions": [
27 {
28 "id": 0,
29 "conditionValueInfo": [
30 {
31 "id": 0,
32 "label": "string",
33 "value": "string"
34 }
35 ],
36 "field": "FOS_ERP_SYSTEM"
37 }
38 ],
39 "overrideBy": {}
40 }
41 ]
42}
Bulk Delete¶
HTTP Request
DELETE /api/v1/personal-default-values-config/bulk
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
array[integer] |
true |
none |
Body Parameters
1[
2 0
3]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "OK",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {}
15}
Search Field Entity¶
HTTP Request
POST /api/v1/personal-default-values-config/search-entity
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
object |
false |
none |
» filter |
body |
false |
none |
|
»» idIn |
body |
[integer] |
false |
none |
»» idEqual |
body |
integer(int64) |
false |
none |
»» idLike |
body |
string |
false |
none |
»» searchTerm |
body |
string |
false |
none |
»» typeEqual |
body |
string |
false |
none |
»» contextFilters |
body |
false |
none |
|
»»» type |
body |
string |
false |
none |
»»» ids |
body |
[string] |
false |
none |
» pageable |
body |
false |
Represents pagination request parameters including page number, page size, and sorting options. |
|
»» page |
body |
integer(int32) |
true |
The requested page number (0-based). |
»» size |
body |
integer(int32) |
true |
The number of elements to be returned per page. |
»» sort |
body |
[string] |
false |
Sorting criteria in the format: property,(asc |
Example Values¶
Parameter |
Example |
Type |
|---|---|---|
»» page |
|
body |
»» size |
|
body |
»» sort |
|
body |
Enumerated Values
Attribute |
Value |
|---|---|
»» typeEqual |
AG_CONSUMER_PRICE_INDEX, AG_CONSUMER_PRICE_INDEX_CATEGORY, AG_CONSUMER_PRICE_INDEX_CATEGORY_NON_LEASE, AG_CONSUMER_PRICE_INDEX_NON_LEASE, AG_EVENT_DISCOUNT_RATE_REVISION, AG_EVENT_MODIFICATION_REASONS, AG_REVISION_END_OF_TERM_INTENTION, CT_ASSET_VALUE_CURRENCY_TYPE, CT_BUSINESS_UNIT, CT_CALENDAR_TYPE, CT_COMPANY, CT_COMPOUNDING_FREQUENCY, CT_CURRENCY, CT_INDEXED_CURRENCY, CT_LEASE_AREA, CT_LEASE_DEPARTMENT, CT_LEASE_GROUP, CT_PRINCIPAL_POSITION_TYPE, CT_USE_IBR_RATE, FOS_ERP_SYSTEM, FOS_PRINCIPAL_POSITION_MODE, LC_INTERNAL_ASSET_CLASS, LC_UNIT_OF_MEASURE, LD_LEASE_TYPE, MA_BUSINESS_UNIT, MA_COMPANY, MA_LEASE_AREA, MA_LEASE_DEPARTMENT, MA_LEASE_GROUP, MIJ_INDEXATION_DATE_TYPE, MIJ_INDEXATION_DATE_TYPE_NON_LEASE, MIJ_JOB_INDEXATION_TYPE, MIJ_JOB_INDEXATION_TYPE_NON_LEASE, MIJ_SKIP_ACTIVATION_GROUPS_WITH_OPEN_DRAFTS, MMJ_SKIP_ITEMS_WITH_OPEN_DRAFT, MPJ_SKIP_ACTIVATION_GROUPS_WITH_OPEN_DRAFTS, MWJ_ACCEPTS_HITCHHICKERS, MWJ_USE_DEFAULT_WORKBOOK_INPUT, TNC_AMOUNT_FREQUENCY, TNC_TERM_TYPE |
»»» type |
AG_CONSUMER_PRICE_INDEX, AG_CONSUMER_PRICE_INDEX_CATEGORY, AG_CONSUMER_PRICE_INDEX_CATEGORY_NON_LEASE, AG_CONSUMER_PRICE_INDEX_NON_LEASE, AG_EVENT_DISCOUNT_RATE_REVISION, AG_EVENT_MODIFICATION_REASONS, AG_REVISION_END_OF_TERM_INTENTION, CT_ASSET_VALUE_CURRENCY_TYPE, CT_BUSINESS_UNIT, CT_CALENDAR_TYPE, CT_COMPANY, CT_COMPOUNDING_FREQUENCY, CT_CURRENCY, CT_INDEXED_CURRENCY, CT_LEASE_AREA, CT_LEASE_DEPARTMENT, CT_LEASE_GROUP, CT_PRINCIPAL_POSITION_TYPE, CT_USE_IBR_RATE, FOS_ERP_SYSTEM, FOS_PRINCIPAL_POSITION_MODE, LC_INTERNAL_ASSET_CLASS, LC_UNIT_OF_MEASURE, LD_LEASE_TYPE, MA_BUSINESS_UNIT, MA_COMPANY, MA_LEASE_AREA, MA_LEASE_DEPARTMENT, MA_LEASE_GROUP, MIJ_INDEXATION_DATE_TYPE, MIJ_INDEXATION_DATE_TYPE_NON_LEASE, MIJ_JOB_INDEXATION_TYPE, MIJ_JOB_INDEXATION_TYPE_NON_LEASE, MIJ_SKIP_ACTIVATION_GROUPS_WITH_OPEN_DRAFTS, MMJ_SKIP_ITEMS_WITH_OPEN_DRAFT, MPJ_SKIP_ACTIVATION_GROUPS_WITH_OPEN_DRAFTS, MWJ_ACCEPTS_HITCHHICKERS, MWJ_USE_DEFAULT_WORKBOOK_INPUT, TNC_AMOUNT_FREQUENCY, TNC_TERM_TYPE |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
»» page |
Min: 0 |
»» size |
Min: 1 |
Body Parameters
1{
2 "filter": {
3 "idIn": [
4 0
5 ],
6 "idEqual": 0,
7 "idLike": "string",
8 "searchTerm": "string",
9 "typeEqual": "FOS_ERP_SYSTEM",
10 "contextFilters": [
11 {
12 "type": "FOS_ERP_SYSTEM",
13 "ids": [
14 "string"
15 ]
16 }
17 ]
18 },
19 "pageable": {
20 "page": 0,
21 "size": 10,
22 "sort": [
23 "id,asc",
24 "name,desc"
25 ]
26 }
27}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "label": "string",
24 "value": "string"
25 }
26 ],
27 "number": 0,
28 "sort": {
29 "unsorted": false,
30 "sorted": true,
31 "empty": false
32 },
33 "empty": true
34}
Search¶
HTTP Request
POST /api/v1/personal-default-values-config/search
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
page |
query |
integer |
false |
Zero-based page index (0..N) |
size |
query |
integer |
false |
The size of the page to be returned |
sort |
query |
array[string] |
false |
Sorting criteria in the format: property,(asc |
body |
body |
false |
none |
Default Values¶
Parameter |
Default |
Type |
|---|---|---|
page |
|
query |
size |
|
query |
sort |
|
query |
Parameter Constraints¶
Parameter |
Constraints |
|---|---|
page |
Min: 0 |
size |
Min: 1 |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "levelEqual": "APPLICATION",
16 "levelIn": [
17 "APPLICATION"
18 ],
19 "controlEqual": "LOCKED",
20 "controlIn": [
21 "LOCKED"
22 ],
23 "statusEqual": "ENABLED",
24 "statusIn": [
25 "ENABLED"
26 ],
27 "fieldEqual": "FOS_ERP_SYSTEM",
28 "fieldIn": [
29 "FOS_ERP_SYSTEM"
30 ],
31 "conditionsEqual": {
32 "id": 0,
33 "conditionValueInfo": [
34 {
35 "id": 0,
36 "label": "string",
37 "value": "string"
38 }
39 ],
40 "field": "FOS_ERP_SYSTEM"
41 }
42}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "level": "APPLICATION",
24 "control": "LOCKED",
25 "status": "ENABLED",
26 "defaultFieldInfo": {
27 "id": 0,
28 "label": "string",
29 "value": "string"
30 },
31 "field": "FOS_ERP_SYSTEM",
32 "conditions": [
33 {
34 "id": 0,
35 "conditionValueInfo": [
36 {
37 "id": 0,
38 "label": "string",
39 "value": "string"
40 }
41 ],
42 "field": "FOS_ERP_SYSTEM"
43 }
44 ],
45 "overrideBy": {}
46 }
47 ],
48 "number": 0,
49 "sort": {
50 "unsorted": false,
51 "sorted": true,
52 "empty": false
53 },
54 "empty": true
55}
Find All¶
HTTP Request
GET /api/v1/personal-default-values-config
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
none |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "unpaged": false,
6 "paged": true,
7 "pageSize": 100,
8 "pageNumber": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": false,
12 "sorted": true,
13 "empty": false
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "id": 0,
23 "level": "APPLICATION",
24 "control": "LOCKED",
25 "status": "ENABLED",
26 "defaultFieldInfo": {
27 "id": 0,
28 "label": "string",
29 "value": "string"
30 },
31 "field": "FOS_ERP_SYSTEM",
32 "conditions": [
33 {
34 "id": 0,
35 "conditionValueInfo": [
36 {
37 "id": 0,
38 "label": "string",
39 "value": "string"
40 }
41 ],
42 "field": "FOS_ERP_SYSTEM"
43 }
44 ],
45 "overrideBy": {}
46 }
47 ],
48 "number": 0,
49 "sort": {
50 "unsorted": false,
51 "sorted": true,
52 "empty": false
53 },
54 "empty": true
55}
Create¶
HTTP Request
POST /api/v1/personal-default-values-config
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
none |
Body Parameters
1{
2 "id": 0,
3 "level": "APPLICATION",
4 "control": "LOCKED",
5 "status": "ENABLED",
6 "defaultFieldInfo": {
7 "id": 0,
8 "label": "string",
9 "value": "string"
10 },
11 "field": "FOS_ERP_SYSTEM",
12 "conditions": [
13 {
14 "id": 0,
15 "conditionValueInfo": [
16 {
17 "id": 0,
18 "label": "string",
19 "value": "string"
20 }
21 ],
22 "field": "FOS_ERP_SYSTEM"
23 }
24 ],
25 "overrideBy": {
26 "id": 0,
27 "level": "APPLICATION",
28 "control": "LOCKED",
29 "status": "ENABLED",
30 "defaultFieldInfo": {
31 "id": 0,
32 "label": "string",
33 "value": "string"
34 },
35 "field": "FOS_ERP_SYSTEM",
36 "conditions": [
37 {
38 "id": 0,
39 "conditionValueInfo": [
40 {
41 "id": 0,
42 "label": "string",
43 "value": "string"
44 }
45 ],
46 "field": "FOS_ERP_SYSTEM"
47 }
48 ],
49 "overrideBy": {}
50 }
51}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": {
15 "id": 0,
16 "level": "APPLICATION",
17 "control": "LOCKED",
18 "status": "ENABLED",
19 "defaultFieldInfo": {
20 "id": 0,
21 "label": "string",
22 "value": "string"
23 },
24 "field": "FOS_ERP_SYSTEM",
25 "conditions": [
26 {
27 "id": 0,
28 "conditionValueInfo": [
29 {
30 "id": 0,
31 "label": "string",
32 "value": "string"
33 }
34 ],
35 "field": "FOS_ERP_SYSTEM"
36 }
37 ],
38 "overrideBy": {}
39 }
40}
Get Default Values Config Status Types¶
HTTP Request
GET /api/v1/personal-default-values-config/status-types
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 "ENABLED"
16 ]
17}
Get Default Values Allowed Types¶
HTTP Request
GET /api/v1/personal-default-values-config/default-values-allowed-types
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 {
16 "authorizations": [
17 "string"
18 ],
19 "levels": [
20 "APPLICATION"
21 ],
22 "allowDefaultValues": true,
23 "captionKey": "string",
24 "order": 0,
25 "id": "string",
26 "fieldName": "string"
27 }
28 ]
29}
Get Default Values Config Control Types¶
HTTP Request
GET /api/v1/personal-default-values-config/control-types
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "code": "UPDATED",
3 "errors": {
4 "all": [
5 {
6 "type": "GENERIC",
7 "source": {},
8 "field": "string",
9 "errorKey": "string",
10 "errorMessage": "string"
11 }
12 ]
13 },
14 "object": [
15 "LOCKED"
16 ]
17}